/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

#bbpress-forums {
	line-height: 1.5;
}

#bbpress-forums div.bbp-reply-content a, #bbpress-forums div.bbp-topic-content a {
	text-decoration: none;
}

#bbpress-forums fieldset.bbp-form {
	border: 0;
	padding: 0;
}

div.bbp-submit-wrapper {
	float: none;
}

.bbp-replies .bbp-header,
.bbp-replies .bbp-footer ,
.bbp-topics .bbp-footer,
.bbp-topic-started-in,
.bbp-author-role {
	display: none;
}

.bbp-replies div.bbp-reply-header {
	border-top: 0;
	padding: 0;
}

li.bbp-body div.type-topic,
li.bbp-body div.type-reply {
	margin-bottom: 30px;
}

.bbp-the-content-wrapper {
	margin-bottom: 20px;
}

#bbpress-forums li.bbp-body ul.forum,
#bbpress-forums li.bbp-body ul.topic,
#bbpress-forums li.bbp-header,
#bbpress-forums li.bbp-footer {
	padding: 20px;
}

#bbpress-forums div.odd,
#bbpress-forums ul.odd,
#bbpress-forums div.even,
#bbpress-forums ul.even {
	background-color: #fff;
	display: flex;
    padding: 0;
	border-radius: 5px;
}

#bbp-forum-0 .topic {
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}

#bbp-forum-0 .topic .bbp-topic-title .bbp-topic-meta {
	display: none;
}

#bbpress-forums ul.even {
    background: rgba(245, 247, 249, 0.2);
}

#bbpress-forums div.bbp-forum-header,
#bbpress-forums div.bbp-topic-header,
#bbpress-forums div.bbp-reply-header {
	background-color: transparent;
}

.bbp-reply-author .staff {
    font-size: 14px;
    padding: 5px 10px;
    display: block;
    margin-top: 10px;
    font-weight: bold;
    border-radius: 5px;
}

#bbpress-forums ul.bbp-lead-topic,
#bbpress-forums ul.bbp-topics,
#bbpress-forums ul.bbp-forums,
#bbpress-forums ul.bbp-replies,
#bbpress-forums ul.bbp-search-results {
	border: 0;
}

li.bbp-body div.hentry {
	padding: 30px;
	border: 1px solid rgba(0,0,0,0.05);
	box-sizing: border-box;
}

#bbpress-forums li.bbp-header {
    background: transparent;
    border: 0;
}

div.bbp-template-notice.info {
	display: none;
}

.bbp-pagination-count {
	display: none;
}

#bbp-your-profile .form-table,
#bbp-your-profile .security-keys {
    display: none;
}

.support-home .bbp-breadcrumb,
a.bbp-breadcrumb-home,
a.bbp-breadcrumb-home + span,
a.bbp-breadcrumb-root,
a.bbp-breadcrumb-root + span {
	display: none;
}

.gb-container div.bbp-breadcrumb {
	float: none;
	margin-top: 20px;
}

#new-post {
    margin: 0 auto;
}

#bbp-search-form input[type="submit"] {
    background-color: #073B4B;
    color: #ffffff;
    font-size: 17px;
    font-weight: bold;
    padding: 8px 20px;
    border-bottom-width: 2px;
    border-color: #073B4B;
    margin: 0;
}

.gp-bbp-search form > div {
    display: flex;
}

#bbp-search-form input[type="text"] {
    font-size: 15px;
    background: #fff;
    border: 1;
    margin-right: -5px;
	border-right: 0;
	border-top-left-radius: 5px;
	border-bottom-left-radius: 5px;
	border-top-right-radius: 0px;
	border-bottom-right-radius: 0px;
	width: calc(100% - 95px);
}

@media only screen and (max-width: 480px)
div.bbp-search-form button, div.bbp-search-form input {
    padding: 0px;
}

.account-info .gb-button-wrapper .gb-button-secondary:first-child,
.account-info .gb-button-wrapper .gb-button-secondary:first-child:visited {
    margin-right: 20px;
}

.account-info .gb-button-wrapper .gb-button-secondary:last-child,
.account-info .gb-button-wrapper .gb-button-secondary:last-child:visited {
    margin-right: 0;
}

.account-info .gb-button-wrapper .gb-button {
    flex-grow: 1;
    margin-bottom: 20px;
}

.bbpress .entry-header {
	overflow: hidden;
}

.single-topic header.entry-header,
.single-topic #bbpress-forums .bbp-breadcrumb,
.bbp-search header.entry-header,
.bbp-search #bbpress-forums .bbp-breadcrumb,
.bbp-user-page header.entry-header,
.bbp-user-page .bbp-breadcrumb {
	display: none;
}

#new-post input[type="text"],
#new-post input[type="url"],
#new-post select,
#new-post .wp-editor-container,
textarea#bbp_reply_content,
textarea#bbp_topic_content,
textarea#bbp_forum_content {
    width: 100%;
    border-color: #bacad6;
    background-color: #fff;
	border-radius: 5px;
	box-sizing: border-box;
}

#new-post .quicktags-toolbar {
	border-top-left-radius: 5px;
	border-top-right-radius: 5px;
}

#new-post legend {
    font-size: 30px;
	margin-bottom: 10px;
}

#bbpress-results {
    padding: 40px;
}

.documenation-topics {
	margin-bottom: 40px;
}

#bbpress-forums li.bbp-body ul.topic:first-child {
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

#bbpress-forums li.bbp-body ul.topic:last-child {
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

#bbpress-forums div.bbp-forum-author img.avatar,
#bbpress-forums div.bbp-topic-author img.avatar,
#bbpress-forums div.bbp-reply-author img.avatar {
	border-radius: 50%;
}

#bbp-search-results .bbp-topic-title-meta,
#bbp-search-results .bbp-header,
#bbp-search-results .bbp-footer {
    display: none;
}

div.bbp-forum-header,
div.bbp-topic-header,
div.bbp-reply-header {
    border-top: 0;
}

.bbp-meta {
    font-size: 12px;
	margin-bottom: 5px;
}

span.bbp-admin-links,
span.bbp-admin-links a,
.bbp-forum-header a.bbp-forum-permalink,
.bbp-topic-header a.bbp-topic-permalink,
.bbp-reply-header a.bbp-reply-permalink {
    color: #000;

}

#bbpress-forums div.bbp-forum-author,
#bbpress-forums div.bbp-topic-author,
#bbpress-forums div.bbp-reply-author {
    border-right: 1px solid rgba(0,0,0,0.05);
    width: 200px;
    padding: 20px;
	background: rgba(245, 247, 249, 0.2);
}

#bbpress-forums div.bbp-forum-content,
#bbpress-forums div.bbp-topic-content,
#bbpress-forums div.bbp-reply-content {
    width: calc(100% - 200px);
    margin: 0;
    padding: 40px;
	min-width: 0;
}

.subscription-toggle {
	display: none;
}

.resolved, .topic-not-resolved, .topic-resolved {
    display: none;
}

.topic-resolved+a:before {
    color: #76b711;
    content: "RESOLVED";
    font-size: 13px;
    font-weight: 700;
    border: 1px solid #76b711;
    padding: 3px 10px;
    float: right;
    border-radius: 5px;
}

.bbp-topic-pagination a {
    border-radius: 5px;
    padding: 5px 10px;
    vertical-align: middle;
	border-color: #efefef;
}

.bbp-topic-pagination a:hover {
	border-color: #bacad6;
}

#bbpress-forums .bbp-pagination-links {
    float: none;
	display: flex;
}

#bbpress-forums .bbp-pagination-links a,
#bbpress-forums .bbp-pagination-links span.current {
    min-width: 25px;
    height: 30px;
    line-height: 30px;
    text-align: center;
    border-radius: 5px;
    background: #fff;
}

#bbpress-forums .bbp-pagination-links a:hover,
#bbpress-forums .bbp-pagination-links span.current {
    border: 1px solid #bacad6;
    background: #fff;
}

#bbpress-forums div.bbp-the-content-wrapper textarea.bbp-the-content {
	font-size: 15px;
}

.bbp-forum-header a.bbp-forum-permalink,
.bbp-topic-header a.bbp-topic-permalink,
.bbp-reply-header a.bbp-reply-permalink {
    float: none;
    margin-left: 10px;
    padding-left: 10px;
    border-left: 1px solid #ddd;
}

#bbpress-forums div.bbp-topic-content code,
#bbpress-forums div.bbp-topic-content pre,
#bbpress-forums div.bbp-reply-content code,
#bbpress-forums div.bbp-reply-content pre {
    font-family: SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;
}

#bbpress-forums div.bbp-topic-content code,
#bbpress-forums div.bbp-reply-content code {
    padding: .2rem .4rem;
    color: #bd4147;
    background-color: #f8f9fa;
    border-radius: .25rem;
}

#bbpress-forums div.bbp-topic-content pre code,
#bbpress-forums div.bbp-reply-content pre code {
    padding: 0;
    font-size: inherit;
    color: inherit;
    background-color: transparent;
    border-radius: 0;
}

#bbpress-forums div.bbp-topic-content pre,
#bbpress-forums div.bbp-reply-content pre {
    margin-top: 0;
    overflow: auto;
    -ms-overflow-style: scrollbar;
    display: block;
    font-size: 90%;
    color: #212529;
    padding: 20px;
    border-radius: 5px;
    border: 1px solid rgba(0,0,0,0.05);
}

#bbpress-forums p.bbp-topic-meta img.avatar,
#bbpress-forums ul.bbp-reply-revision-log img.avatar,
#bbpress-forums ul.bbp-topic-revision-log img.avatar,
#bbpress-forums div.bbp-template-notice img.avatar,
#bbpress-forums .widget_display_topics img.avatar,
#bbpress-forums .widget_display_replies img.avatar {
    border: 0;
    margin-bottom: -3px;
    border-radius: 50%;
}

.bbp-topic-started-by {
    display: none;
}

.bbp-pagination {
    float: none;
    clear: both;
}

.bbp-pagination-links a, .bbp-pagination-links span.current,
.bbp-pagination-links span.dots {
    float: none;
    display: inline-block;
}

span.happy,
span.unhappy {
	cursor: pointer;
}

span.happy {
	font-weight: bold;
	color: #5ea337;
}

span.unhappy {
	font-weight: bold;
	color: #444;
}

#bbpress-forums ul.status-closed, #bbpress-forums ul.status-closed a {
    color: #222;
}

#bbpress-forums ul.status-closed .bbp-reply-content a {
	color: #1e73be;
}

/* page 412 is our local development site */

.page-id-594475 .bbp-form,
.page-id-594475 .bbp-form legend,
.page-id-412 .bbp-form,
.page-id-412 .bbp-form legend {
	display: none;
}

.pre-post-topic {
    background: #fafafa;
    padding: 30px;
    margin-bottom: 20px;
    border-radius: 5px;
}

.pre-post-topic > :last-child {
    margin-bottom: 0;
}

span.gp-favorite-link > span {
    margin-left: 10px;
    padding-left: 10px;
    border-left: 1px solid #ddd;
}

.bbp-body .bbp-reply-header:not(:first-child) .gp-favorite-link {
    display: none;
}

.bbp-body .bbp-reply-header:first-child .bbp-meta {
    display: flex;
    align-items: flex-end;
}

.bbp-body .bbp-reply-header:first-child .bbp-admin-links {
    margin-left: auto;
}

li.bbp-topic-voice-count {
    display: none;
}

li.bbp-topic-title {
    width: 70%;
}

ul.forum-titles {
    display: flex;
}

.bbp-login-form .bbp-submit-wrapper {
    text-align: center;
}

form.bbp-login-form {
    text-align: center;
}

.bbp-login-form label {
    text-align: left;
	width: auto;
}

form.bbp-login-form .bbp-form {
    text-align: right;
    width: auto;
    min-width: auto;
    display: inline-block;
    border: 1px solid #ddd;
    padding: 20px;
    border-radius: 5px;
}

#bbpress-forums fieldset.bbp-form input[type=text], #bbpress-forums fieldset.bbp-form select {
    height: auto;
    min-height: auto;
}

#bbpress-forums #favorite-toggle, #bbpress-forums #subscription-toggle {
    display: none;
}

#bbpress-forums .gp-favorite-link #favorite-toggle {
    display: inline-block;
}

#bbpress-forums div.bbp-reply-content pre {
    max-height: 400px;
}

.private-info {
    padding: 20px;
    background: #0000ff0d;
}

.private-info h4 {
    margin-top: 0 !important;
    font-weight: bold;
}

.collect-private-info p {
	margin-bottom: 5px;
}

.gb-headline .topic-resolved:before {
	content: "Resolved";
	font-size: 15px;
	background: #76b711;
	padding: 10px 15px;
	border-radius: 3px;
}

.gb-headline .topic-resolved {
    display: block;
    font-size: 0;
}

@media (max-width: 768px) {
	#bbpress-forums div.odd,
    #bbpress-forums ul.odd,
    #bbpress-forums div.even,
    #bbpress-forums ul.even {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
            -ms-flex-direction: column;
                flex-direction: column;
    }

	#bbpress-forums div.bbp-forum-author,
	#bbpress-forums div.bbp-topic-author,
	#bbpress-forums div.bbp-reply-author {
		float: none;
		width: auto;
		min-height: auto !important;
    	margin: 0 !important;
    	box-sizing: border-box;
    	text-align: center !important;
    	padding-left: 40px !important;
	}

	#bbpress-forums div.bbp-forum-content,
	#bbpress-forums div.bbp-topic-content,
	#bbpress-forums div.bbp-reply-content {
		margin-left: 0;
	}

	.account-info ul {
		-ms-flex-wrap: wrap;
		flex-wrap: wrap;
		-webkit-box-pack: center;
		-ms-flex-pack: center;
		justify-content: center;
	}

	.account-info ul li:first-child {
    	margin-right: 0;
    	width: 100%;
    	margin-bottom: 20px;
	}

	#bbpress-forums li.bbp-header {
	    display: none;
	}

	li.bbp-forum-topic-count,
	li.bbp-topic-voice-count,
	li.bbp-forum-reply-count,
	li.bbp-topic-reply-count {
		float: none;
		width: 100%;
		text-align: left;
	}

	li.bbp-forum-freshness,
	li.bbp-topic-freshness {
		float: none;
		width: 100%;
		text-align: left;
	}

	li.bbp-forum-info,
	li.bbp-topic-title {
		float: none;
		width: 100%;
		margin-bottom: 20px !important;
	}

	li.bbp-topic-voice-count {
		display: none;
	}

	li.bbp-topic-reply-count {
		display: none;
	}

	span.bbp-topic-started-by {
		display: none;
	}

	#bbpress-forums div.bbp-forum-content,
	#bbpress-forums div.bbp-topic-content,
	#bbpress-forums div.bbp-reply-content {
		width: 100%;
		box-sizing: border-box;
	}

	#bbpress-forums div.bbp-reply-author img.avatar {
        position: relative;
		display: block;
    	margin-bottom: 5px;
    }

	#bbpress-forums .bbp-body div.bbp-reply-content {
        padding: 20px !important;
    }

	#bbpress-forums .bbp-body div.bbp-reply-author {
	    width: 100%;
	    box-sizing: border-box;
	    border-right: 0;
	}

	